Package io.helidon.data.codegen.common
Class MethodParams.BuilderBase.MethodParamsImpl
java.lang.Object
io.helidon.data.codegen.common.MethodParams.BuilderBase.MethodParamsImpl
- All Implemented Interfaces:
Prototype.Api,MethodParams
- Enclosing class:
MethodParams.BuilderBase<BUILDER extends MethodParams.BuilderBase<BUILDER,PROTOTYPE>, PROTOTYPE extends MethodParams>
protected static class MethodParams.BuilderBase.MethodParamsImpl
extends Object
implements MethodParams
Generated implementation of the prototype, can be extended by descendant prototype implementations.
-
Nested Class Summary
Nested classes/interfaces inherited from interface io.helidon.data.codegen.common.MethodParams
MethodParams.Builder, MethodParams.BuilderBase<BUILDER extends MethodParams.BuilderBase<BUILDER,PROTOTYPE>, PROTOTYPE extends MethodParams> -
Constructor Summary
ConstructorsModifierConstructorDescriptionprotectedMethodParamsImpl(MethodParams.BuilderBase<?, ?> builder) Create an instance providing a builder. -
Method Summary
Methods inherited from class java.lang.Object
clone, finalize, getClass, notify, notifyAll, wait, wait, waitMethods inherited from interface io.helidon.data.codegen.common.MethodParams
dynamic, dynamicParts
-
Constructor Details
-
MethodParamsImpl
Create an instance providing a builder.- Parameters:
builder- extending builder base of this prototype
-
-
Method Details
-
order
Description copied from interface:MethodParamsQuery result ordering parameter.- Specified by:
orderin interfaceMethodParams- Returns:
- the ordering parameter info
-
pageRequest
Description copied from interface:MethodParamsPageable query result parameter.- Specified by:
pageRequestin interfaceMethodParams- Returns:
- the page request parameter info
-
parameters
Description copied from interface:MethodParamsList of common method parameters to be added to method prototype.- Specified by:
parametersin interfaceMethodParams- Returns:
- the common method parameters
-
toString
-
equals
-
hashCode
public int hashCode()
-